Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 331899 - sys-fs/dmraid does not respect LDFLAGS
Summary: sys-fs/dmraid does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Ian Stakenvicius
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-09 16:53 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-08-17 19:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (dmraid-1.0.0_rc16-r1:20100807-214655.log,47.75 KB, text/plain)
2010-08-09 16:53 UTC, Diego Elio Pettenò (RETIRED)
Details
applies $(LDFLAGS) to all .so build targets (dmraid-1.0.0_rc16-as-needed2.patch,429 bytes, text/plain)
2010-08-16 14:56 UTC, Ian Stakenvicius
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-09 16:53:17 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-09 16:53:28 UTC
Created attachment 242105 [details]
Build log
Comment 2 Ian Stakenvicius gentoo-dev 2010-08-16 14:56:15 UTC
Created attachment 243223 [details]
applies $(LDFLAGS) to all .so build targets

It seems my original --as-needed patch only fixed a problem when compiling against an --as-needed-built dependency.  This patch replaces the current dmraid-1.0.0_rc16-as-needed.patch in files/ , and adds $(LDFLAGS) to all .so build targets.

It looks good to me but please test to confirm.
Comment 3 Thomas Sachau gentoo-dev 2010-08-17 19:52:44 UTC
Fixed version 1.0.0_rc16-r2 committed, should be on your local mirror in a few hours.